# Maintainer: Antoni Aloy Torrens <antoni.aloytorrens@gmail.com>
pkgname='pycharm-community'
pkgver='2022.3.1'
pkgrel='0'
pkgdesc="Python IDE for Professional Developers"
arch=('amd64' 'i386' 'arm64' 'armhf' 'armel')
LICENSE=(APACHE)
depends=('giflib-tools' 'libglib2.0-0' 'python3' 'libdbusmenu-glib4' 'fonts-freefont-ttf' 'fontconfig')
optdepends=('ipython3')
url="https://www.jetbrains.com/pycharm"
source=("https://download.jetbrains.com/python/${pkgname}-${pkgver}.tar.gz"
	"pycharm-community.desktop")
sha256sums=('b243103f27cfb763106a2f5667d8f201562154755ce9746e81e88c80acd7b316'
            'ae987dd848b83f58ec4a6a6cd15929bf8cba1c0fc30fa9d8a54b9cabfbbba55c')

package() {
	msg2 "Setting up data..."
	mkdir -p "${pkgdir}/usr/share"
	mv ${pkgname}-${pkgver} ${pkgdir}/usr/share/${pkgname}
	install -Dm644 ${srcdir}/pycharm-community.desktop ${pkgdir}/usr/share/applications/pycharm-community.desktop
	
	msg2 "Setting up symlink to /usr/bin/pycharm-community..."
	mkdir -p "${pkgdir}/usr/bin/"
	ln -s "/usr/share/${pkgname}/bin/pycharm.sh" "${pkgdir}/usr/bin/pycharm-community"
	ln -s "/usr/share/${pkgname}/bin/pycharm.sh" "${pkgdir}/usr/bin/pycharm"
}
